# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: eros/api/account.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from eros.api import user_pb2 as eros_dot_api_dot_user__pb2
from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2
from weclikd.common import subscription_pb2 as weclikd_dot_common_dot_subscription__pb2
from weclikd.common import wrappers_pb2 as weclikd_dot_common_dot_wrappers__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='eros/api/account.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x16\x65ros/api/account.proto\x12\x07weclikd\x1a\x13\x65ros/api/user.proto\x1a\x1fgoogle/protobuf/timestamp.proto\x1a!weclikd/common/subscription.proto\x1a\x1dweclikd/common/wrappers.proto\"\xbb\x01\n\x0f\x41\x63\x63ountSettings\x12<\n\x0csubscription\x18\x01 \x01(\x0e\x32&.weclikd.Subscription.SubscriptionType\x12?\n\x13\x65mail_notifications\x18\x02 \x01(\x0b\x32\".weclikd.EmailNotificationSettings\x12)\n\x07privacy\x18\x03 \x01(\x0b\x32\x18.weclikd.PrivacySettings\"\x1d\n\x0c\x43ustomClaims\x12\r\n\x05\x61\x64min\x18\x01 \x01(\x08\"\xf3\x01\n\x07\x41\x63\x63ount\x12\n\n\x02id\x18\x01 \x01(\x04\x12\r\n\x05\x65mail\x18\x02 \x01(\t\x12\x12\n\nfirst_name\x18\x03 \x01(\t\x12\x11\n\tlast_name\x18\x04 \x01(\t\x12*\n\x08settings\x18\x05 \x01(\x0b\x32\x18.weclikd.AccountSettings\x12\x1f\n\x08my_users\x18\x06 \x03(\x0b\x32\r.weclikd.User\x12,\n\rcustom_claims\x18\x07 \x01(\x0b\x32\x15.weclikd.CustomClaims\x12+\n\x07\x63reated\x18\x08 \x01(\x0b\x32\x1a.google.protobuf.Timestamp\"\xbf\x01\n\x19\x45mailNotificationSettings\x12\x1a\n\x12notification_email\x18\x01 \x01(\t\x12+\n\x10monthly_earnings\x18\x02 \x01(\x0e\x32\x11.weclikd.BoolEnum\x12-\n\x12\x63lik_notifications\x18\x03 \x01(\x0e\x32\x11.weclikd.BoolEnum\x12*\n\x0fweclikd_updates\x18\x04 \x01(\x0e\x32\x11.weclikd.BoolEnum\"\x82\x01\n\x0fPrivacySettings\x12\x38\n\x0b\x64m_settings\x18\x01 \x01(\x0e\x32#.weclikd.PrivacySettings.DMSettings\"5\n\nDMSettings\x12\x0b\n\x07UNKNOWN\x10\x00\x12\x0c\n\x08\x44ISABLED\x10\x01\x12\x0c\n\x08\x45VERYONE\x10\x02\x62\x06proto3'
  ,
  dependencies=[eros_dot_api_dot_user__pb2.DESCRIPTOR,google_dot_protobuf_dot_timestamp__pb2.DESCRIPTOR,weclikd_dot_common_dot_subscription__pb2.DESCRIPTOR,weclikd_dot_common_dot_wrappers__pb2.DESCRIPTOR,])



_PRIVACYSETTINGS_DMSETTINGS = _descriptor.EnumDescriptor(
  name='DMSettings',
  full_name='weclikd.PrivacySettings.DMSettings',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='UNKNOWN', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='DISABLED', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='EVERYONE', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=894,
  serialized_end=947,
)
_sym_db.RegisterEnumDescriptor(_PRIVACYSETTINGS_DMSETTINGS)


_ACCOUNTSETTINGS = _descriptor.Descriptor(
  name='AccountSettings',
  full_name='weclikd.AccountSettings',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='subscription', full_name='weclikd.AccountSettings.subscription', index=0,
      number=1, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='email_notifications', full_name='weclikd.AccountSettings.email_notifications', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='privacy', full_name='weclikd.AccountSettings.privacy', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=156,
  serialized_end=343,
)


_CUSTOMCLAIMS = _descriptor.Descriptor(
  name='CustomClaims',
  full_name='weclikd.CustomClaims',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='admin', full_name='weclikd.CustomClaims.admin', index=0,
      number=1, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=345,
  serialized_end=374,
)


_ACCOUNT = _descriptor.Descriptor(
  name='Account',
  full_name='weclikd.Account',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='id', full_name='weclikd.Account.id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='email', full_name='weclikd.Account.email', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='first_name', full_name='weclikd.Account.first_name', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='last_name', full_name='weclikd.Account.last_name', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='settings', full_name='weclikd.Account.settings', index=4,
      number=5, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='my_users', full_name='weclikd.Account.my_users', index=5,
      number=6, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='custom_claims', full_name='weclikd.Account.custom_claims', index=6,
      number=7, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='created', full_name='weclikd.Account.created', index=7,
      number=8, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=377,
  serialized_end=620,
)


_EMAILNOTIFICATIONSETTINGS = _descriptor.Descriptor(
  name='EmailNotificationSettings',
  full_name='weclikd.EmailNotificationSettings',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='notification_email', full_name='weclikd.EmailNotificationSettings.notification_email', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='monthly_earnings', full_name='weclikd.EmailNotificationSettings.monthly_earnings', index=1,
      number=2, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_notifications', full_name='weclikd.EmailNotificationSettings.clik_notifications', index=2,
      number=3, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='weclikd_updates', full_name='weclikd.EmailNotificationSettings.weclikd_updates', index=3,
      number=4, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=623,
  serialized_end=814,
)


_PRIVACYSETTINGS = _descriptor.Descriptor(
  name='PrivacySettings',
  full_name='weclikd.PrivacySettings',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='dm_settings', full_name='weclikd.PrivacySettings.dm_settings', index=0,
      number=1, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _PRIVACYSETTINGS_DMSETTINGS,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=817,
  serialized_end=947,
)

_ACCOUNTSETTINGS.fields_by_name['subscription'].enum_type = weclikd_dot_common_dot_subscription__pb2._SUBSCRIPTION_SUBSCRIPTIONTYPE
_ACCOUNTSETTINGS.fields_by_name['email_notifications'].message_type = _EMAILNOTIFICATIONSETTINGS
_ACCOUNTSETTINGS.fields_by_name['privacy'].message_type = _PRIVACYSETTINGS
_ACCOUNT.fields_by_name['settings'].message_type = _ACCOUNTSETTINGS
_ACCOUNT.fields_by_name['my_users'].message_type = eros_dot_api_dot_user__pb2._USER
_ACCOUNT.fields_by_name['custom_claims'].message_type = _CUSTOMCLAIMS
_ACCOUNT.fields_by_name['created'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_EMAILNOTIFICATIONSETTINGS.fields_by_name['monthly_earnings'].enum_type = weclikd_dot_common_dot_wrappers__pb2._BOOLENUM
_EMAILNOTIFICATIONSETTINGS.fields_by_name['clik_notifications'].enum_type = weclikd_dot_common_dot_wrappers__pb2._BOOLENUM
_EMAILNOTIFICATIONSETTINGS.fields_by_name['weclikd_updates'].enum_type = weclikd_dot_common_dot_wrappers__pb2._BOOLENUM
_PRIVACYSETTINGS.fields_by_name['dm_settings'].enum_type = _PRIVACYSETTINGS_DMSETTINGS
_PRIVACYSETTINGS_DMSETTINGS.containing_type = _PRIVACYSETTINGS
DESCRIPTOR.message_types_by_name['AccountSettings'] = _ACCOUNTSETTINGS
DESCRIPTOR.message_types_by_name['CustomClaims'] = _CUSTOMCLAIMS
DESCRIPTOR.message_types_by_name['Account'] = _ACCOUNT
DESCRIPTOR.message_types_by_name['EmailNotificationSettings'] = _EMAILNOTIFICATIONSETTINGS
DESCRIPTOR.message_types_by_name['PrivacySettings'] = _PRIVACYSETTINGS
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

AccountSettings = _reflection.GeneratedProtocolMessageType('AccountSettings', (_message.Message,), {
  'DESCRIPTOR' : _ACCOUNTSETTINGS,
  '__module__' : 'eros.api.account_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.AccountSettings)
  })
_sym_db.RegisterMessage(AccountSettings)

CustomClaims = _reflection.GeneratedProtocolMessageType('CustomClaims', (_message.Message,), {
  'DESCRIPTOR' : _CUSTOMCLAIMS,
  '__module__' : 'eros.api.account_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CustomClaims)
  })
_sym_db.RegisterMessage(CustomClaims)

Account = _reflection.GeneratedProtocolMessageType('Account', (_message.Message,), {
  'DESCRIPTOR' : _ACCOUNT,
  '__module__' : 'eros.api.account_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.Account)
  })
_sym_db.RegisterMessage(Account)

EmailNotificationSettings = _reflection.GeneratedProtocolMessageType('EmailNotificationSettings', (_message.Message,), {
  'DESCRIPTOR' : _EMAILNOTIFICATIONSETTINGS,
  '__module__' : 'eros.api.account_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.EmailNotificationSettings)
  })
_sym_db.RegisterMessage(EmailNotificationSettings)

PrivacySettings = _reflection.GeneratedProtocolMessageType('PrivacySettings', (_message.Message,), {
  'DESCRIPTOR' : _PRIVACYSETTINGS,
  '__module__' : 'eros.api.account_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.PrivacySettings)
  })
_sym_db.RegisterMessage(PrivacySettings)


# @@protoc_insertion_point(module_scope)
